# Update flow task

Update flow task. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/put-api-FlowTask-id

PUT `/FlowTask/{id}`

Update flow task. See the OpenAPI-defined parameters, request body, and responses below.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>path</code></td><td><code>integer · int32</code></td><td>Yes</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

**Content type:** `application/json` · **Schema:** `FlowTaskDto`



<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>flowId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>currentFlowStageId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>title</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>status</code></td><td><code>FlowTaskStatus</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>priority</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>payload</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>dueDate</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdBy</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>completedAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>canceledAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>flowRecurringTaskId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>recurringOccurrenceAtUtc</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>scheduledOccurrenceAtUtc</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>



## Example request



```
curl --request PUT \
  --url 'https://api.zild.ai/FlowTask/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "flowId": 0,
  "currentFlowStageId": 0,
  "title": "string",
  "description": "string",
  "status": 0,
  "priority": 0,
  "payload": "string",
  "dueDate": "2026-09-22T18:00:00Z",
  "createdAt": "2026-09-22T18:00:00Z",
  "createdBy": 0,
  "completedAt": "2026-09-22T18:00:00Z",
  "canceledAt": "2026-09-22T18:00:00Z",
  "flowRecurringTaskId": 0,
  "recurringOccurrenceAtUtc": "2026-09-22T18:00:00Z",
  "scheduledOccurrenceAtUtc": "2026-09-22T18:00:00Z"
}'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>OK</td><td>No response body is defined.</td></tr></tbody></table>



## Data models

`FlowTaskDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>flowId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>currentFlowStageId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>title</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>status</code></td><td><code>FlowTaskStatus</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>priority</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>payload</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>dueDate</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdBy</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>completedAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>canceledAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>flowRecurringTaskId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>recurringOccurrenceAtUtc</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>scheduledOccurrenceAtUtc</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`FlowTaskStatus`0 = Pending; 1 = InProgress; 2 = Completed; 3 = Canceled

`integer`
